# Teste todas as possibilidades de entradas 'H', 'h' e 'x'
# Se seu programa funciona para apenas um caso de tese, isso não quer dizer que ele vai funcionar para todos os outros
# Teste seu código aos poucos.
# Não teste tudo no final, pois fica mais difícil de identificar erros.
# Use as mensagens de erro para corrigir seu código.
from math import pi
H = float(input())
h = float(input())
r = float(input())

cilindro = lambda h_ci, r_ci: pi * pow(r_ci, 2) * h_ci
esfera = lambda r_es: (4/3) * pi * pow(r_es, 3)
calota = lambda h_ca, r_ca: (pi/3) * pow(h_ca, 2) * (3*r_ca - h_ca)

print("Entradas:", H, ",", h, ",", r)

menor_q_zero = (H < 0 or h < 0 or r < 0)

if menor_q_zero or H < h or H < 2 * r:
	print("Entradas invalidas")
else:
	if h <= r:
		volume = calota(h,r)
	elif h <= H - r:
		volume = esfera(r)/2 + cilindro(h - r, r)
	else:
		volume = esfera(r) + cilindro(H - (2*r), r) - calota(H - h, r)
	print("Volume:", round(volume*1000,3), "litros")